htmerge(1)

NAME
htmerge - create document index and word database for the ht://Dig search engine

SYNOPSIS
htmerge [options]

DESCRIPTION
Htmerge is used to create a document index and word database from the files that were created by htdig. These databases are then used by htsearch to perform the actual searched.

OPTIONS

-a  Use alternate work files. Tells htdig to append .work to database files, causing a second copy of the database to be built. This allows the original files to be used by htsearch during the indexing run.

-c configfile
    Use the specified configfile instead of the default.

-d  Prevent the document index from being created.

-s  Print statistics about the document and word databases after htmerge has finished.

-v  Run in verbose mode. This will provide some hints as to the progress of the merge. This can be useful when running htmerge interactively since some parts (especially the word database creation) can take a very long time.

-w  Prevent the word database from being created.

ENVIRONMENT

TMPDIR
    In addition to the command line options, the environment variable TMPDIR will be used to designate the directory where intermediate files are stored during the sorting process.

FILES

/etc/htdig/htdig.conf
    The default configuration file.

SEE ALSO
Please refer to the HTML pages (in the htdig-doc package) /usr/share/doc/htdig-doc/html/index.html and the manual pages htdig(1) and htsearch(1) for a detailed description of ht://Dig and its commands.

AUTHOR
This manual page was written by Christian Schwarz, modified by Stijn de Bekker, based on the HTML documentation of ht://Dig.